com.google.gwt.user.client.ui

## Class HasHorizontalAlignment.HorizontalAlignmentConstant

- java.lang.Object
- - com.google.gwt.user.client.ui.HasHorizontalAlignment.AutoHorizontalAlignmentConstant
  - - com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant

Enclosing interface:
  HasHorizontalAlignment

    public static class HasHorizontalAlignment.HorizontalAlignmentConstant
    extends HasHorizontalAlignment.AutoHorizontalAlignmentConstant

Possible return values for `HasHorizontalAlignment.getHorizontalAlignment()`, and parameter values for `HasHorizontalAlignment.setHorizontalAlignment(com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant)`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HasHorizontalAlignment.HorizontalAlignmentConstant` `endOf(HasDirection.Direction direction)`
`java.lang.String` `getTextAlignString()` Gets the CSS 'text-align' string associated with this constant.
`static HasHorizontalAlignment.HorizontalAlignmentConstant` `startOf(HasDirection.Direction direction)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### endOf

    public static HasHorizontalAlignment.HorizontalAlignmentConstant endOf(HasDirection.Direction direction)

#### startOf

    public static HasHorizontalAlignment.HorizontalAlignmentConstant startOf(HasDirection.Direction direction)

#### getTextAlignString

    public java.lang.String getTextAlignString()

Gets the CSS 'text-align' string associated with this constant.

Returns:
  the CSS 'text-align' value